tigase.jaxmpp.core.client.xmpp.forms

## Class JidMultiField

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.forms.AbstractField<JID[]>
    - - tigase.jaxmpp.core.client.xmpp.forms.JidMultiField

- All Implemented Interfaces:
    Element, Field<JID[]>

      public class JidMultiField
      extends AbstractField<JID[]>

  Implementation of jid-multi field type.

  > The field enables an entity to gather or provide multiple Jabber IDs. Each provided JID SHOULD be unique (as determined by comparison that includes application of the Nodeprep, Nameprep, and Resourceprep profiles of Stringprep as specified in XMPP Core), and duplicate JIDs MUST be ignored.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.forms.AbstractField

      `VAR_COMPARATOR`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFieldValue(JID... value)` Add value to field.
    `void` | `clearValues()` Removes all values.
    `JID[]` | `getFieldValue()` Returns value of field.
    `void` | `setFieldValue(JID[] value)` Sets value of field.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.forms.AbstractField

      `getDesc, getLabel, getType, getVar, isRequired, setDesc, setLabel, setRequired, setVar`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addFieldValue

          public void addFieldValue(JID... value)
                             throws XMLException

      Add value to field.
      Parameters:
        `value` - JID to add
      Throws:
        `XMLException`

    - #### clearValues

          public void clearValues()
                           throws XMLException

      Removes all values.
      Throws:
        `XMLException`

    - #### getFieldValue

          public JID[] getFieldValue()
                              throws XMLException

      Returns value of field.
      Returns:
        value
      Throws:
        `XMLException`

    - #### setFieldValue

          public void setFieldValue(JID[] value)
                             throws XMLException

      Sets value of field.
      Parameters:
        `value` - value of field
      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.